Verbosity (Apache OpenNLP :: Ext :: SpellChecker 3.0.0-M4 API)
Description: declaration: package: opennlp.spellcheck, enum: Verbosity

Package opennlp.spellcheck

# Enum Class Verbosity

java.lang.Object
java.lang.Enum<Verbosity>
opennlp.spellcheck.Verbosity

All Implemented Interfaces:
  `Serializable`, `Comparable<Verbosity>`, `Constable`

public enum Verbosity extends Enum<Verbosity>
Controls how many suggestions a `SpellChecker.lookup(java.lang.String, opennlp.spellcheck.Verbosity, int)` call returns and with how much effort they are gathered.

The semantics follow the SymSpell reference implementation.

See Also:
  - SymSpell reference implementation (Wolf Garbe)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Returns every suggestion within the requested maximum edit distance, ordered by ascending edit distance and then descending frequency.
  `CLOSEST`
  Returns all suggestions that share the smallest edit distance found, ordered by descending frequency.
  `TOP`
  Returns the single suggestion with the smallest edit distance; ties are broken by the highest term frequency.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Verbosity`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Verbosity[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP

    public static final Verbosity TOP
    Returns the single suggestion with the smallest edit distance; ties are broken by the highest term frequency. Cheapest to compute.

  - ### CLOSEST

    public static final Verbosity CLOSEST
    Returns all suggestions that share the smallest edit distance found, ordered by descending frequency.

  - ### ALL

    public static final Verbosity ALL
    Returns every suggestion within the requested maximum edit distance, ordered by ascending edit distance and then descending frequency.

- ## Method Details

  - ### values

    public static Verbosity[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Verbosity valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null